/*
 *  jDTAUS - DTAUS fileformat.
 *  Copyright (c) 2005 Christian Schulte <cs@schulte.it>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
package org.jdtaus.core.container.it;

/**
 * Specification used for testing the {@code Container} runtime.
 *
 * @author <a href="mailto:cs@schulte.it">Christian Schulte</a>
 * @version $Id: TestSpecification.java 3072 2007-04-23 22:18:05Z schulte2005 $
 */
public interface TestSpecification
{
    //--TestSpecification-------------------------------------------------------

    /**
     * Flag indicating if the {@code ContainerInitializer} contract is
     * implemented correctly by a {@code Container} implementation.
     *
     * @return {@code true} if the {@code ContainerInitializer} contract is
     * implemented correctly by a {@code Container} implementation;
     * {@code false} if no initialization is implemented by the
     * {@code Container}.
     */
    boolean isInitialized();

    //-------------------------------------------------------TestSpecification--
}
